<?php

class CatalogController extends ApplicationController {

    function index() {
    	$catalog = new Catalog();
    	$this->catalogs = $catalog->find_all();
    	$this->content_columns = $catalog->content_columns;
    }
    
    function show() {
    	$catalog = new Catalog();
    	$this->catalog = $catalog->find($_REQUEST['id']);
    }
    
    function add() {
      $this->catalog = new Catalog(array_key_exists('catalog',$_REQUEST) ? 
                     $_REQUEST['catalog'] : null );
        if($_POST) {
            if($this->catalog->save($_POST['catalog'])) {
            	Session::flash('notice', "Catalog was successfully created.");
                $this->redirect_to = url_for(array(":action" => "index"));
            } else {
            	Session::flash('error', "Error adding catalog to the database.");
            }
        }
    }
    
    function edit() {
        $catalog = new Catalog();
        $this->catalog = $catalog->find($_REQUEST['id']);	
        if($_POST) {
            if($this->catalog->save($_POST['catalog'])) {
            	Session::flash('notice', "Catalog was successfully updated.");
                $this->redirect_to = url_for(array(":action" => "show", 
                   ":id" => $this->catalog));
            } else {
            	Session::flash('error', "Error saving catalog to the database.");
            }
        }
    }
    
    function delete() {
        if($_REQUEST['id'] > 0) {
            $catalog = new Catalog();
            $catalog = $catalog->find($_REQUEST['id']);
            if($catalog->delete()) {
            	Session::flash('notice', "Catalog was successfully deleted.");
            } else {
            	Session::flash('error', "Error deleting catalog from the database.");
            }
        }
        $this->redirect_to = url_for(array(":action" => "index"));
    }
}

?>

